from setuptools import setup, find_packages

# Read the README file for the long description
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="alphavantage-finapi-client",
    version="0.1.0",
    author="Rahul Roy",
    author_email="rahulroy1992.21@gmail.com",
    description="A modern Python client for the Alpha Vantage Financial API with type-safe response parsing",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/rahulroy1992/alphavantage-api",
    project_urls={
        "Bug Tracker": "https://github.com/rahulroy1992/alphavantage-api/issues",
        "Documentation": "https://github.com/rahulroy1992/alphavantage-api#readme",
        "Source Code": "https://github.com/rahulroy1992/alphavantage-api",
    },
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Intended Audience :: Financial and Insurance Industry",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Office/Business :: Financial",
        "Topic :: Office/Business :: Financial :: Investment",
    ],
    keywords="alpha vantage, stock market, financial data, api client, trading, financial api",
    python_requires=">=3.8",
    install_requires=[
        "requests>=2.31.0",
        "python-dotenv>=1.0.0",
        "pydantic>=2.5.0",
    ],
    package_data={
        "alphavantage": ["py.typed"],  # Include type information
    },
) 